The online community for software testing & quality assurance professionals
 
 
Calendar   Today's Topics
Sponsors:




Lost Password?

Home
BetaSoft
Blogs
Jobs
Training
News
Links
Downloads



Testing Tools >> HP / Mercury WinRunner

Pages: 1
POWVorti
Newbie


Reged: 05/30/07
Posts: 9
WR 9.2 and Java 1.6.0_24
      #668894 - 04/20/11 09:05 AM

Hi there,
is there anybody out there who is using WinRunner 9.2 with the Java-Addin (Patchlevel WR76JP30) to automate an Java-Application under Java 1.6.0_24?
WR doesn't recognize any window when Java 1.6.0_24 is activated... When I activate Java 1.6.0_10 everything works fine. It seems my installation has problems with a Java build higher than 10...


Post Extras: Print Post   Remind Me!   Notify Moderator  
Peter RuscoeModerator
Veteran


Reged: 03/18/02
Posts: 7686
Loc: Tampa Bay
Re: WR 9.2 and Java 1.6.0_24 [Re: POWVorti]
      #668910 - 04/20/11 10:44 AM

Uh - well - given that WR ceased to be supported some time ago, that is not especially surprising.

Post Extras: Print Post   Remind Me!   Notify Moderator  
POWVorti
Newbie


Reged: 05/30/07
Posts: 9
Re: WR 9.2 and Java 1.6.0_24 [Re: Peter Ruscoe]
      #668934 - 04/20/11 02:10 PM

Hi!
Please don't take it personal, but... that doesn't really answer my question. I can't change the strategy of my company. We will migrate to QC 11 at the end of the year but I have to test a new release before.
I guess the error occurs because the WR or Java installations are corrupt but I don't really know it. If someone would use WR with a Java patchlevel higher than 10 i will try to do a clean installation. The order to do that is a complicate process in my company so I just want to do that of it's useful.


Post Extras: Print Post   Remind Me!   Notify Moderator  
Peter RuscoeModerator
Veteran


Reged: 03/18/02
Posts: 7686
Loc: Tampa Bay
Re: WR 9.2 and Java 1.6.0_24 [Re: POWVorti]
      #668951 - 04/20/11 09:54 PM

Quote:

I guess the error occurs because the WR or Java installations are corrupt...



I'm not taking personal [sic] anything you wrote. It's true - I didn't answer your question because I don't have an answer. However, a little online research turned up the following:
WR went onto limited support (no updates) in August 2009. All support ceased January 1st this year.
Java 1.6.0_10 came out in October 2008, while WR was still under full support (updates, patches etc.) Java 1.6.0_24 came out a month ago, after all WR support had ceased.

That tells me that the most likely reason for your problem is that WR does not support Java 1.6.0_24, period. Whatever changed in 24 (or one of the releases after 10) probably caused WR to cease recognizing objects.

I very much doubt that either installation is "corrupt [sic]." It is far more likely that a change in the Java technology broke WR. If you can't use 1.6.0_10 (or, at least, something up to 16), then you may be out of luck.

If you can make it work, all power to you. But your needing to "test a new release" has no bearing on the situation.


Post Extras: Print Post   Remind Me!   Notify Moderator  
POWVorti
Newbie


Reged: 05/30/07
Posts: 9
Re: WR 9.2 and Java 1.6.0_24 [Re: Peter Ruscoe]
      #668971 - 04/21/11 12:26 AM

Hi!
The comparison of the release dates is a good idea. But I have to say that I get the same error with build 1.6.0_22 which was released on October 12, 2010. This was before the support ceased...
What was the highest patchlevel which you used with WR? 1.6.0_16 according to previous thread?


Post Extras: Print Post   Remind Me!   Notify Moderator  
Peter RuscoeModerator
Veteran


Reged: 03/18/02
Posts: 7686
Loc: Tampa Bay
Re: WR 9.2 and Java 1.6.0_24 [Re: POWVorti]
      #669012 - 04/21/11 06:15 AM

I have not used WR recently enough to be of any help. My reference to 1.6.0_16 was based purely on its release date (before HP stopped updating WR). I am merely pointing out that your problem doesn't surprise me. October 2010 was AFTER HP stopped updating WR.

If you can't roll your application back to use 1.6.0_10, then I think you are out of luck. End of story.


Post Extras: Print Post   Remind Me!   Notify Moderator  
Pages: 1



Extra information
0 registered and 14 anonymous users are browsing this forum.

Moderator:  Peter Ruscoe, bpolitzer 

Print Topic

Forum Permissions
      You cannot start new topics
      You cannot reply to topics
      HTML is disabled
      UBBCode is enabled

Rating:
Topic views: 4259

Rate this topic

Jump to

Contact Us | Privacy statement SQAForums

Powered by UBB.threads™ 6.5.5